// shiny button

.shiny-btn{
	border: 1px solid #aaa;
	background-color: #fff;
	display: inline-block;
	margin-left: 4px;
}

.shiny-btn:hover{
	border-color: #333;
}

.shiny-btn[disabled] {
	border-color: #aaa;
	opacity: 0.5;
	background-color: lightgray;
}

.shiny-btn:active{
	background: #e0e0e0;
	box-shadow: inset 0 1px 2px rgba(0,0,0,0.2);
}


// top buttons */

.document-title-wrap{
	display: flex;
	align-items:center;
	padding:.3rem 0 1rem;
	.document-actions{
		flex-grow: 1;
	}
}

.document-list:first-child {
	margin-top: 0;
}

.document-list-actions{
	display: flex;
	 ul{
		list-style: none;
		margin-top:0;
		margin-bottom:0;
		display: flex;
		align-items: center;
		 li {
		 	border:none;
		 	button{
		 		border:none;
		 		display: flex;
		 		width:32px;
		 		height:32px;
		 		line-height: 32px;
		 		border-radius:100%;
		 		background: none;
		 		justify-content: center;
		 		&:hover{
		 			background: #eee;
		 		}
		 		&:focus{
		 			background: #ddd;
		 			outline-width: 0;
		 		}
		 	}
		 	.mdi,
		 	span{
				line-height: 30px;
				height: 30px;
				border: none;	
			}
			> form{
				margin: 0;
				padding: 0;
			}
		}
		&.document-list-actions-right li button{
			width:auto;
			border-radius:20px;
			padding:0 8px;
			margin-left:5px;
			.document-list-trash-button-inner,
			.document-list-list-button-inner{
				display: flex;
			}
		}
		&.document-list-actions-left{
			margin-right:auto;
			li button{
				margin-right:2px;
			}
		}
	}
	button{
		background: transparent;
	}
}

.document-list-action{
	vertical-align: middle;
	position: relative;
	&.document-list-search{
		background: none;
		box-shadow: none;
		border: none;
	}
	.mdi{
		font-size:1.6rem;
	}
	&.document-list-list .mdi{
		font-size: 1.35rem;
		margin-right:7px;
	}
}

.document-list-search input{
    border-color: #bbb;
    color: #212121;
    display: inline-block;
    font-weight: normal;
    padding: 6px !important;
    text-decoration: none;
    width: 200px;
    line-height: 1 !important;
    vertical-align: middle;
    font-size: .9rem;
    margin-right:5px;
    &:focus{
	    background-color: #fff;
	    border-color: #aaa;
	    box-shadow: 0 0 2px #bbb;
	}
}